Subject: Re: [net-next] intel: add SPDX identifiers to all the Intel drivers

From: Joe Perches <[email-masked]>
Date: Tue, 20 Mar 2018 18:14:50 -0700

On Tue, 2018-03-20 at 18:09 -0700, Jeff Kirsher wrote:
> On Tue, 2018-03-20 at 16:46 -0700, Philippe Ombredanne wrote:
> > When the kernel maintainers decide to switch to V3.0 of the SPDX list,
> > the doc will be updated and then Joe's script could be applied at once
> > to update the past.
> 
> I am fine with changing my patch back to v2.6 SPDX ids, as long as Joe's
> script in the future won't touch the Intel wired LAN drivers, since we need
> to retain copyright on several files through out our drivers.

Why would exempting intel wired drivers be
necessary or useful?

I think it would be better if the kernel
source files used a consistent tag format.

The script I wrote is basically a sed that
simply updates the SPDX license text.

That is not particular different that Thomas's
original script that added the SPDX tags.

I have no intention of claiming anything like
a copyright on the output of a trivial script.